Chapter 21. Outros asuntos
Prev |  | Next

# Chapter 21. Outros asuntos

## 1. Modo consola de OmegaT

### Note

Só de interese para usuarios avanzados.

O propósito do modo consola (é dicir, liña de ordes) é permitir ao usuario empregar OmegaT como unha ferramenta de tradución nun ambiente de desenvolvemento. Cando se inicia OmegaT en modo consola, non se carga ningunha interface gráfica de usuario (polo que funcionará en calquera consola) e o proxecto dado se traduce automaticamente. Un exemplo sería un proxecto de software no que se localiza a interface gráfica de usuario a un número de idiomas. Empregando o modo consola, un pode facer que a xeración dunha interface localizada sexa parte do proceso de construción.

### 1.1. Prerrequisitos

Para executar OmegaT, necesita un proxecto válido de OmegaT. A localización é irrelevante, xa que necesita especificala explicitamente na liña de ordes ao inicio.

Se necesita configuracións que non son as estándar, tamén deberá ter presente os ficheiros de configuración (`filters.conf` e `segmentation.conf`) Isto pode conseguirse de dous xeitos:

- Executar OmegaT normalmente (coa interface gráfica de usuario) e especificar a configuración. Se inicia OmegaT en modo consola, empregará a mesma configuración.

- Se non pode executar OmegaT normalmente (non ten un ambiente gráfico dispoñíbel): copie os ficheiros de configuración de outra instalación de OmegaT de outra máquina a un cartafol específico. A localización non importa, xa que pode engadila na liña de ordes ao inicio (vexa máis adiante). Os ficheiros relevantes son `filters.conf` e `segmentation.conf`, que pode atopar no directorio de inicio do usuario (por exemplo, `C:\Documents and Settings\%Usuario%\OmegaT` en Windows, `%usuario%/.omegat/` en Linux)

### 1.2. Iniciar OmegaT en modo consola

Para iniciar OmegaT en modo consola, debe especificar os parámetros adicionais ao inicio. Os máis importantes son `<project-dir>`, e opcionalmente `--config-dir=<config-dir>`. Exemplo:

`$> java -jar OmegaT.jar /ruta/do/proxecto \`

`--config-dir=/ruta/dos/ficheiros-de-configuración/ \`

`--mode=console-translate \`

`--source-pattern={regexp} \`

`--tag-validation=[block|warn]`

Explicación:

- `<project-dir>` informa a OmegaT de onde atopar o proxecto para traducir. Se é o caso, OmegaT se iniciará en modo consola e traducirá o proxecto dado.

- `--config-dir=<config-dir>` permite que OmegaT reciba instrucións de en que cartafol están gardados os ficheiros de configuracións Se non se especifican, OmegaT volverá aos valores predeterminados (o cartafol de OmegaT no cartafol de usuario ou, se non está dispoñíbel, no directorio actual de traballo.)

- `--mode=console-translate` OmegaT se inicia en modo consola e traduce o proxecto dado

- `--source-pattern={regexp}` Os ficheiros a traducir poden especificarse deste modo. Aquí ten un exemplo de expresión regular: `test\.html`

- `--tag-validation=[abort|warn]` En abort, o programa se abortará se atopa algún error durante a validación de etiquetas. En warn, se amosarán os erros mais o programa continuará. No resto de casos, non se levará a cabo unha validación de etiquetas.

### 1.3. Opción silenciosa.

Un parámetro da liña de ordes extra específico para o modo consola: `--quiet.` En modo silencioso, se amosa menos información no monitor. As mensaxes que atoparía normalmente nas barras de estado non se amosarán.

Emprego: `java -jar OmegaT.jar /ruta/do/proxecto --mode=console-translate --quiet`

### 1.4. Opción de validación de etiquetas

Outro parámetro da liña de ordes extra específico para o modo consola: `--tag-validation=[abort|warn]`. Cando se engade este parámetro, a validación de etiquetas se fai antes que a tradución/aliñación. Se o valor é `abort`, entón se amosarán os errores de etiquetas e o programa se deterá. Se o valor é `warn` entón se amosarán os erros mais OmegaT continuará.

Emprego: `java -jar OmegaT.jar /ruta/do/proxecto --mode=console-translate --tag-validation=abort`

## 2. Aliñador automático de propiedades de Java

OmegaT pode aliñar as .properties de Java en modo consola. Se ten os ficheiros de orixe e destino de propiedades, para un e o mesmo contido no par de linguas, este procedemento creará un ficheiro tmx correspondente con estes contidos. Emprego:

`java -jar OmegaT.jar --mode=console-align /directorio-do-meu-proxecto --alignDir=/translatedFiles/`

`alignDir` debe conter a tradución do idioma de destino do proxecto. Por exemplo, se o proxecto é EN>FR, alignDir debe conter un final que acabe en _fr. A TMX resultante se gardará no cartafol `/omegat/` co nome `align.tmx`.

## 3. Configuración do tipo de letra

Neste diálogo pode definir o tipo de letra que emprega OmegaT nas seguintes xanelas:

- Xanela principal de OmegaT (editor, visor de coincidencias, visor do glosario)

- Xanela de buscas

- Xanela de validación de etiquetas

Pódese acceder a este diálogo mediante o elemento Opcións → Tipo de letra... no menú principal. O diálogo contén:

- Fonte: menú desdobrábel para seleccionar un dos tipos de letra dispoñíbeis no seu computador

- Tamaño: edíteo para cambiar o tamaño do tipo de letra

- Texto de mostra: campo para unha previsión inmediata da fonte seleccionada

Nota: Nalgúns casos pode tardar algún tempo que OmegaT actualice a aparencia despois de configurar o tipo de letra. Isto sucede especialmente no caso de que se abra un ficheiro que teña moitos segmentos no editor, e/ou se empregue hardware lento. Teña en conta tamén que algúns tipos de letras se comportan mellor entre algúns pares de linguas ca outros. En particular, se está traducindo entre dúas linguas con distintos alfabetos ou sistemas de escrita (como o ruso e xaponés), seleccione un tipo de letra que se poida empregar en ambos os casos.

## 4. Previr a perda de datos

OmegaT é unha aplicación robusta. Porén, debería tomar precaucións contra a perda de datos cando empregue OmegaT tal e como faría con calquera outra aplicación. Cando traduce os seus ficheiros, OmegaT garda todos os progresos na memoria de tradución `project_save.tmx` que está no subcartafol `/omegat` do proxecto.

OmegaT tamén fai unha copia de seguridade da memoria de tradución en project_save.tmx.AAAAMMDDHHNN.bak no mesmo subcartafol cada vez que se abre ou recarga o proxecto. AAAA é o ano cos catro díxitos, MM é o mes, DD o día do mes, e HH e NN as horas e minutos cando se gardou a última memoria de tradución.

Se cree que perdeu información da tradución, pode empregar o seguinte procedemento para restaurar o proxecto ao seu estado gardado máis recente, normalmente non máis antigo que aproximadamente 10 minutos ou así:

1. peche o proxecto

2. renomee o ficheiro `project_save.tmx` actual (por exemplo, a `project_save.tmx.temporary`)

3. seleccione a copia de seguridade da memoria de tradución que é máis probábel que conteña a información que está buscando

4. renoméea a `project_save.tmx`

5. abra o proxecto

Para evitar a perda de datos importantes:

- Faga copias regulares do ficheiro /omegat/project_save.tmx nun dispositivo de copia de seguridade, como un CD ou un DVD.

- Ata que se sinta cómodo con OmegaT, cree os ficheiros traducidos a intervalos regulares e comprobe que os ficheiros traducidos conteñen a última versión da súa tradución.

- Teña coidado en particular cando faga cambios aos ficheiros no cartafol `/source` no medio dun proxecto. Se se modifica o ficheiro de orixe despois de comezar unha tradución, OmegaT non será capaz de atopar os segmentos que xa traduciu.

- Empregue estes textos de Axuda para comezar. En caso de ter algún problema, envíe unha mensaxe ao grupo de usuarios de OmegaT. Non dubide en escribir no idioma co que se sinta máis cómodo.

Prev |  | Next
Chapter 20. Verificación ortográfica | Home | Appendix A. Idiomas - lista do código ISO 639